> ## Documentation Index
> Fetch the complete documentation index at: https://voora.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch detailed risk alerts for investigation/explanations



## OpenAPI

````yaml /api-reference/openapi.json get /{eventId}/risk-assessment
openapi: 3.0.4
info:
  title: Merchant Portal SendEvent API
  description: Endpoints for sending and querying event data.
  version: v1
servers:
  - url: https://live.voora.ai/event
security:
  - ClientApiKey: []
tags:
  - name: Event
paths:
  /{eventId}/risk-assessment:
    get:
      tags:
        - Event
      summary: Fetch detailed risk alerts for investigation/explanations
      parameters:
        - name: eventId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventRiskAssessmentDetailsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '504':
          description: Gateway Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    EventRiskAssessmentDetailsResponse:
      type: object
      properties:
        id:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        eventDate:
          type: string
          format: date-time
          nullable: true
        listsStatus:
          $ref: '#/components/schemas/EventListsStatusResponse'
        scoring:
          $ref: '#/components/schemas/EventScoringResponse'
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        requestId:
          type: string
          nullable: true
        errorType:
          type: string
          nullable: true
        errorCodes:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    EventListsStatusResponse:
      type: object
      properties:
        allowlists:
          type: array
          items:
            $ref: '#/components/schemas/DatasetValue'
          nullable: true
        denylists:
          type: array
          items:
            $ref: '#/components/schemas/DatasetValue'
          nullable: true
      additionalProperties: false
    EventScoringResponse:
      type: object
      properties:
        totalScore:
          type: integer
          format: int32
        scoresPerGroup:
          type: object
          additionalProperties:
            type: integer
            format: int32
          nullable: true
        appliedRulesDetails:
          type: array
          items:
            $ref: '#/components/schemas/RuleDetails'
          nullable: true
      additionalProperties: false
    DatasetValue:
      type: object
      properties:
        value:
          type: string
          nullable: true
        dataField:
          type: string
          nullable: true
      additionalProperties: false
    RuleDetails:
      type: object
      properties:
        ruleId:
          type: string
          nullable: true
        score:
          type: integer
          format: int32
        ruleName:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ClientApiKey:
      type: apiKey
      description: 'API key required in header: X-CLIENT-API-KEY'
      name: X-CLIENT-API-KEY
      in: header

````